apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: hr
spec:
  releaseName: fuseki-anbi
  interval: 30m
  chart:
    spec:
      chart: charts/lock-unlock-rewrite
      sourceRef:
        kind: GitRepository
        name: gr
      interval: 12h
  valuesFrom:
  - kind: ConfigMap
    name: helm-values
  postRenderers:
    - kustomize:
        patches:
          - target:
              version: v1
              kind: Ingress
            patch: |
              - op: replace
                path: /spec/rules/0/http/paths/0/backend/service/name
                value: lock-unlock-keda-interceptor-alias
              - op: replace
                path: /spec/rules/0/http/paths/0/backend/service/port/number
                value: 8080
